<?php
/**
 * @file
 * ocio_calendar.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_calendar_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ocio_calendar_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function ocio_calendar_node_info() {
  $items = array(
    'calendar_entry' => array(
      'name' => t('Calendar Entry'),
      'base' => 'node_content',
      'description' => t('An entry to place on the site calendar.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
