<?php
/**
 * @file
 * wcm_workbench.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function wcm_workbench_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function wcm_workbench_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_views_default_views_alter().
 */
function wcm_workbench_views_default_views_alter(&$data) {
  if (isset($data['workbench_edited'])) {
    $data['workbench_edited']->display['page_1']->display_options['path'] = 'admin/workbench/my/edits'; /* WAS: 'admin/workbench/content/edited' */
  }
  if (isset($data['workbench_recent_content'])) {
    $data['workbench_recent_content']->display['default']->display_options['filters']['status']['expose']['remember_roles'] = array(
      2 => 0,
      1 => 0,
      6 => 0,
      5 => 0,
      4 => 0,
      7 => 0,
      8 => 0,
      3 => 0,
    ); /* WAS: '' */
    $data['workbench_recent_content']->display['default']->display_options['filters']['status']['value'] = 'All'; /* WAS: 1 */
    unset($data['workbench_recent_content']->display['default']->display_options['filters']['status_extra']);
  }
}
